GET
/api/public/v1/support-cases

List support cases

Paginated list of support cases your organization has opened.

Query Parameters

NameTypeRequiredDescription
limitnumberOptionalMaximum number of items to return (1-100).Default: 20
offsetnumberOptionalNumber of items to skip before starting to collect the result set.Default: 0
sortBystringOptionalField to sort by. Allowed values vary by endpoint.Default: createdAt
sortOrderstring
asc
desc
OptionalSort direction.Default: desc
searchstringOptionalFree-text search across the resource’s primary fields.
createdAfterstringOptionalISO 8601 timestamp — only return items created after this time.
createdBeforestringOptionalISO 8601 timestamp — only return items created before this time.
updatedAfterstringOptionalISO 8601 timestamp — only return items updated after this time.
statusstring
OPEN
CLOSED
OptionalFilter by status.
severitystring
LOW
MEDIUM
HIGH
CRITICAL
OptionalFilter by severity.
typestringOptionalFilter by case type.
GETExample request
curl
curl -X GET "https://www.pxb.app/api/public/v1/support-cases" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key"
200Example response
json
{
  "message": "Support cases retrieved successfully!",
  "content": {
    "supportCases": [
      {
        "id": "case_1",
        "subject": "Issue with billing",
        "status": "OPEN"
      }
    ],
    "pagination": {
      "total": 42,
      "limit": 20,
      "offset": 0,
      "hasMore": true
    }
  }
}